0

Environment : macOS Sierra, Appium version 1.4.13 (Draco)

I am not able run appium. Please help, How to fixed this issue?

appium doctor has not worked. 
Error :
info AppiumDoctor ### Diagnostic starting ###
info AppiumDoctor  ✔ Xcode is installed at: /Applications/Xcode.app/Contents/Developer
[Error: Could not detect Mac OS X Version from sw_vers output: '10.12
0

There is an issue with that build of Appium. Towards the bottom of the issue page there is a linked solution on Stack Overflow. I have made the switch to the desktop app version of Appium and it works well (and requires less setup). Either way, the issue is said to be fixed in more recent versions.

  • Thanks for your reply. But I am using version 1.4.13 not 1.5.3 and which xcode version working well for you? In my case I am using 8.3 – NarendraC Jun 7 '17 at 4:21
  • Don't get hung up on old version numbers without trying a newer version. I am currently using Appium 1.6.4 and XCode 8.3. – kirbycope Jun 7 '17 at 13:15
  • yes, agree. I have installed 1.6.5 but how to start execution programatically. It was working well before but now I am searching for solution. – NarendraC Jun 8 '17 at 4:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.